/**
 * @since 1.0.0
 */
import { ApiGatewayManagementApiClient } from "@aws-sdk/client-apigatewaymanagementapi";
import { Context, Effect, Layer } from "effect";
declare const ApiGatewayManagementApiClientInstance_base: Context.TagClass<ApiGatewayManagementApiClientInstance, "@effect-aws/client-api-gateway-management-api/ApiGatewayManagementApiClientInstance", ApiGatewayManagementApiClient>;
/**
 * @since 1.0.0
 * @category tags
 */
export declare class ApiGatewayManagementApiClientInstance extends ApiGatewayManagementApiClientInstance_base {
}
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const make: Effect.Effect<ApiGatewayManagementApiClient, never, import("effect/Scope").Scope>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const layer: Layer.Layer<ApiGatewayManagementApiClientInstance, never, never>;
export {};
//# sourceMappingURL=ApiGatewayManagementApiClientInstance.d.ts.map