/**
 * @since 1.0.0
 */
import type { ApiGatewayManagementApiClientConfig } from "@aws-sdk/client-apigatewaymanagementapi";
import { Effect, Layer } from "effect";
import type { ApiGatewayManagementApiService } from "./ApiGatewayManagementApiService.js";
/**
 * @since 1.0.0
 * @category api-gateway-management-api service config
 */
export declare const withApiGatewayManagementApiServiceConfig: {
    (config: ApiGatewayManagementApiService.Config): <A, E, R>(effect: Effect.Effect<A, E, R>) => Effect.Effect<A, E, R>;
    <A, E, R>(effect: Effect.Effect<A, E, R>, config: ApiGatewayManagementApiService.Config): Effect.Effect<A, E, R>;
};
/**
 * @since 1.0.0
 * @category api-gateway-management-api service config
 */
export declare const setApiGatewayManagementApiServiceConfig: (config: ApiGatewayManagementApiService.Config) => Layer.Layer<never, never, never>;
/**
 * @since 1.0.0
 * @category adapters
 */
export declare const toApiGatewayManagementApiClientConfig: Effect.Effect<ApiGatewayManagementApiClientConfig>;
//# sourceMappingURL=ApiGatewayManagementApiServiceConfig.d.ts.map