import type { ForbiddenException, GoneException, LimitExceededException, PayloadTooLargeException } from "@aws-sdk/client-apigatewaymanagementapi";
import type { TaggedException } from "@effect-aws/commons";
export declare const AllServiceErrors: readonly ["ForbiddenException", "GoneException", "LimitExceededException", "PayloadTooLargeException"];
export type ForbiddenError = TaggedException<ForbiddenException>;
export type GoneError = TaggedException<GoneException>;
export type LimitExceededError = TaggedException<LimitExceededException>;
export type PayloadTooLargeError = TaggedException<PayloadTooLargeException>;
export type SdkError = TaggedException<Error & {
    name: "SdkError";
}>;
//# sourceMappingURL=Errors.d.ts.map